org.eclipse.jetty.server.jmx

## Class ServerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.server.jmx.ServerMBean

- All Implemented Interfaces:
    DynamicMBean

      public class ServerMBean
      extends ObjectMBean

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `_managed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerMBean(Object managedObject)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Handler[]` | `getContexts()`
    `long` | `getStartupTime()`

    - ### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerMBean

          public ServerMBean(Object managedObject)

  - ### Method Detail

    - #### getContexts

          public Handler[] getContexts()

    - #### getStartupTime

          public long getStartupTime()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.